/*
 * Yet another definition of ILBM
 */
typedef struct
{
	u_short bm_width, bm_height;
	short	bm_xpos, bm_ypos;
	u_char	bm_numplanes;
	u_char	bm_masktype;
	u_char	bm_compression;
	u_char	bm_pad;
	u_short	bm_transparentcol;
	u_char	bm_xaspect, bm_yaspect;
	short	bm_pagewidth, bm_pageheight;
}  BitMapHeader;


#define MAKEID(a, b, c, d)	((a << 24) | (b << 16) | (c << 8) | d)

#define ID_FORM		MAKEID('F', 'O', 'R', 'M')
#define ID_ILBM		MAKEID('I', 'L', 'B', 'M')
#define ID_BMHD		MAKEID('B', 'M', 'H', 'D')
#define ID_CMAP		MAKEID('C', 'M', 'A', 'P')
#define ID_GRAB		MAKEID('G', 'R', 'A', 'B')
#define ID_DEST		MAKEID('D', 'E', 'S', 'T')
#define	ID_CAMG		MAKEID('C', 'A', 'M', 'G')
#define ID_BODY		MAKEID('B', 'O', 'D', 'Y')
